Reference

Get saved recommendations breakdown with pagination

Returns paginated list of all implemented savings with filtering

GET
/api/v1/recommendations/audit/breakdown

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?Page

Page number (1-indexed)

page_size?Page Size

Items per page (max 200)

sort_by?Sort By

Field to sort by (period, account_id, environment, service, usage_type, usage_quantity, usage_unit, pre_optimization_cost, post_optimization_cost, monthly_savings, roi, approved_by)

sort_order?Sort Order

Sort order

start?|

Start date filter (YYYY-MM-DD or YYYY-MM format)

end?|

End date filter (YYYY-MM-DD or YYYY-MM format)

preset?|

Date preset: '30D', '6M', or '12M' (takes precedence over start/end)

provider?|

Filter by provider ID (aws, gcp, azure, k8s)

service?array<string>|

Filter by service(s) - can be repeated for multiple values

environment?array<string>|

Filter by environment(s) - can be repeated for multiple values

account_id?array<string>|

Filter by account ID(s) - can be repeated for multiple values

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/recommendations/audit/breakdown"
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "total_savings": 0,
    "items": [
      {
        "audit_id": 0,
        "recommendation_id": "string",
        "savings_id": "string",
        "period": "string",
        "implemented_at": "string",
        "account_id": "string",
        "environment": "string",
        "service": "string",
        "usage_type": "string",
        "usage_quantity": 0,
        "usage_unit": "string",
        "approved_by": "string",
        "applied_via": "string",
        "implementation_method": "string",
        "first_view_at": "string",
        "first_view_channel": "string",
        "view_count_at_audit": 0,
        "verification": "pending",
        "estimated_savings_usd": 0,
        "realized_savings_usd": 0,
        "realized_savings_in_progress_usd": 0,
        "settled_at": "string",
        "realized_savings_7d_usd": 0,
        "realized_savings_30d_usd": 0,
        "snapshot_7d_at": "string",
        "snapshot_30d_at": "string",
        "realized_basis": "string",
        "pre_optimization_cost": 0,
        "post_optimization_cost": 0,
        "monthly_savings": 0,
        "annual_savings": 0,
        "roi": 0
      }
    ],
    "pagination": {
      "total_items": 0,
      "total_pages": 0,
      "current_page": 0,
      "page_size": 0,
      "has_next": true,
      "has_previous": true
    }
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
Ask the FinOps Agent about your cloud spend